Index: configure
--- configure.orig	2005-10-05 18:43:26 +0200
+++ configure	2005-10-07 09:05:24 +0200
@@ -34527,6 +34527,11 @@
 INTERP_SUPPORTED=no
 LIBC="libc.so.6"
 INTL="libc.so.6"
+case "$host" in
+    *-*-freebsd* )
+        LIBC="libc.so"
+        ;;
+esac
 SQLITE="libsqlite.so.0"
 SQLITE3="libsqlite3.so.0"
 X11="libX11.so"
Index: mono/Makefile.in
--- mono/Makefile.in.orig	2005-10-05 18:43:16 +0200
+++ mono/Makefile.in	2005-10-07 09:10:21 +0200
@@ -56,7 +56,7 @@
 ETAGS = etags
 CTAGS = ctags
 DIST_SUBDIRS = utils io-layer monoburg os cil metadata arch \
-	interpreter mini dis monograph tests benchmark handles \
+	interpreter mini dis monograph benchmark handles \
 	profiler
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
@@ -259,7 +259,7 @@
 # the handles dir doesn't apply to windows
 @PLATFORM_WIN32_FALSE@HANDLES = handles
 SUBDIRS = utils io-layer monoburg os cil metadata \
-      arch interpreter mini dis monograph tests benchmark $(HANDLES) profiler
+      arch interpreter mini dis monograph benchmark $(HANDLES) profiler
 
 all: all-recursive
 
Index: mono/mini/mini-x86.c
--- mono/mini/mini-x86.c.orig	2005-08-25 11:14:53 +0200
+++ mono/mini/mini-x86.c	2005-10-07 09:05:01 +0200
@@ -388,6 +388,34 @@
 	return cinfo;
 }
 
+#ifndef signbit
+union IEEEd2bits {
+    double d;
+    struct {
+#if _BYTE_ORDER == _LITTLE_ENDIAN
+	unsigned int    manl    :32;
+	unsigned int    manh    :20;
+	unsigned int    exp     :11;
+	unsigned int    sign    :1;
+#else
+	unsigned int    sign    :1;
+	unsigned int    exp     :11;
+	unsigned int    manh    :20;
+	unsigned int    manl    :32;
+#endif
+    } bits;
+};
+
+int
+signbit(double d)
+{
+    union IEEEd2bits u;
+
+    u.d = d;
+    return (u.bits.sign);
+}
+
+#endif /* signbit */
 /*
  * mono_arch_get_argument_info:
  * @csig:  a method signature
